Bug 840379 - SAM webUI displays the registered systems' IP as "127.0.0.1"
SAM webUI displays the registered systems' IP as "127.0.0.1"
Status: CLOSED WORKSFORME
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
Unspecified Unspecified
unspecified Severity medium
: beta
: ---
Assigned To: Jordan OMara
SAM QE List
: Triaged
Depends On:
Blocks: sam12-tracker
  Show dependency treegraph
 
Reported: 2012-07-16 03:45 EDT by Hui Wang
Modified: 2014-11-09 17:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-12 17:25:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
System IP display (155.73 KB, image/png)
2012-07-16 03:45 EDT, Hui Wang
no flags Details
IP Address list in SAM (121.59 KB, image/png)
2012-09-12 17:25 EDT, Jordan OMara
no flags Details

  None (edit)
Description Hui Wang 2012-07-16 03:45:42 EDT
Created attachment 598386 [details]
System IP display

Description of problem:
The SAM webUI can't list the real IP, but it is display "127.0.0.1", see the attachment.

Version-Release number of selected component (if applicable):

katello-cli-common-0.3.5-2.el6_2.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-selinux-0.2.4-1.el6_2.noarch
katello-common-0.3.3-1.el6_2.noarch
katello-headpin-0.2.13-1.el6_2.noarch
katello-headpin-all-0.2.13-1.el6_2.noarch
katello-certs-tools-1.1.5-1.el6_2.noarch
katello-configure-0.3.7-1.el6_2.noarch
katello-glue-candlepin-0.3.3-1.el6_2.noarch
katello-cli-headpin-0.2.2-1.el6_2.noarch
candlepin-0.6.5-1.el6_2.noarch
candlepin-tomcat6-0.6.5-1.el6_2.noarch
subscription-manager-0.99.19-1.el6.x86_64



How reproducible:


Steps to Reproduce:
1.Register the client to SAM
2.Check the system info from SAM web UI
3.
  
Actual results:
The SAM webUI can't list the real IP, but it is display "127.0.0.1", see the attachment.

Expected results:
It can display the real IP

Additional info:
[root@host1364 ~]# rpm -qa | grep subs
subscription-manager-firstboot-0.99.19-1.el6.x86_64
subscription-manager-0.99.19-1.el6.x86_64
subscription-manager-gnome-0.99.19-1.el6.x86_64
[root@host1364 ~]# subscription-manager facts --list
cpu.core(s)_per_socket: 4
cpu.cpu(s): 4
cpu.cpu_socket(s): 1
distribution.id: Santiago
distribution.name: Red Hat Enterprise Linux Server
distribution.version: 6.3
dmi.baseboard.manufacturer: LENOVO
dmi.baseboard.product_name: Unknown
dmi.baseboard.serial_number: INVALID
dmi.baseboard.version: Unknown
dmi.bios.address: 0xf0000
dmi.bios.bios_revision: 0.41
dmi.bios.relase_date: 05/16/2011
dmi.bios.rom_size: 2560 KB
dmi.bios.runtime_size: 64 KB
dmi.bios.vendor: LENOVO
dmi.bios.version: 9HKT41AUS
dmi.chassis.asset_tag: Unknown
dmi.chassis.boot-up_state: Safe
dmi.chassis.lock: Not Present
dmi.chassis.manufacturer: To Be Filled By O.E.M.
dmi.chassis.power_supply_state: Safe
dmi.chassis.security_status: None
dmi.chassis.serial_number: R8YF3X8
dmi.chassis.thermal_state: Safe
dmi.chassis.type: Tower
dmi.chassis.version: To Be Filled By O.E.M.
dmi.connector.external_connector_type: RJ-45
dmi.connector.external_reference_designator: LAN
dmi.connector.internal_connector_type: None
dmi.connector.internal_reference_designator: J5A1
dmi.connector.port_type: Network Port
dmi.memory.array_handle: 0x001b
dmi.memory.assettag: A1_AssetTagNum3
dmi.memory.bank_locator: A1_BANK3
dmi.memory.data_width: 64 bit
dmi.memory.error_correction_type: Single-bit ECC
dmi.memory.error_information_handle: No Error
dmi.memory.form_factor: DIMM
dmi.memory.location: System Board Or Motherboard
dmi.memory.locator: A1_DIMM3
dmi.memory.manufacturer: Samsung
dmi.memory.maximum_capacity: 32 GB
dmi.memory.part_number: M391B5273CH0-CH9
dmi.memory.serial_number: 0B024ECA
dmi.memory.size: 4096 MB
dmi.memory.speed: 1333 MHz (0.8ns)
dmi.memory.total_width: 72 bit
dmi.memory.type: Unknown
dmi.memory.use: System Memory
dmi.processor.asset_tag: To Be Filled By O.E.M.
dmi.processor.family: Xeon
dmi.processor.l1_cache_handle: 0x0005
dmi.processor.l2_cache_handle: 0x0006
dmi.processor.l3_cache_handle: 0x0007
dmi.processor.part_number: To Be Filled By O.E.M.
dmi.processor.serial_number: To Be Filled By O.E.M.
dmi.processor.socket_designation: CPU 1
dmi.processor.status: Populated:Enabled
dmi.processor.type: Central Processor
dmi.processor.upgrade: Other
dmi.processor.version: Intel(R) Xeon(R) CPU E31225 @ 3.10GHz
dmi.processor.voltage: 0.0 V
dmi.slot.current_usage: Available
dmi.slot.designation: J6D1
dmi.slot.slotid: 33
dmi.slot.slotlength: Long
dmi.slot.type:slotbuswidth: 32-bit
dmi.slot.type:slottype: PCI
dmi.system.family: To be filled by O.E.M.
dmi.system.manufacturer: LENOVO
dmi.system.product_name: 7783BA8
dmi.system.serial_number: R8YF3X8
dmi.system.sku_number: To be filled by O.E.M.
dmi.system.status: No errors detected
dmi.system.uuid: 17755260-8462-9375-6AAB-75BF2A6375EF
dmi.system.version: ThinkStation E30
dmi.system.wake-up_type: Power Switch
lscpu.architecture: x86_64
lscpu.bogomips: 6185.60
lscpu.byte_order: Little Endian
lscpu.core(s)_per_socket: 4
lscpu.cpu(s): 4
lscpu.cpu_family: 6
lscpu.cpu_mhz: 1600.000
lscpu.cpu_op-mode(s): 32-bit, 64-bit
lscpu.cpu_socket(s): 1
lscpu.l1d_cache: 32K
lscpu.l1i_cache: 32K
lscpu.l2_cache: 256K
lscpu.l3_cache: 6144K
lscpu.model: 42
lscpu.numa_node(s): 1
lscpu.numa_node0_cpu(s): 0-3
lscpu.on-line_cpu(s)_list: 0-3
lscpu.stepping: 7
lscpu.thread(s)_per_core: 1
lscpu.vendor_id: GenuineIntel
lscpu.virtualization: VT-x
memory.memtotal: 7883376
memory.swaptotal: 8028152
net.interface.eth0.ipv4_address: 10.66.13.64
net.interface.eth0.ipv4_broadcast: 10.66.13.255
net.interface.eth0.ipv4_netmask: 23
net.interface.eth0.ipv6_address.link: fe80::4637:e6ff:fe6a:7f15
net.interface.eth0.ipv6_netmask.link: 64
net.interface.eth0.mac_address: 44:37:E6:6A:7F:15
net.interface.lo.ipv4_address: 127.0.0.1
net.interface.lo.ipv4_broadcast: Unknown
net.interface.lo.ipv4_netmask: 8
net.interface.lo.ipv6_address.host: ::1
net.interface.lo.ipv6_netmask.host: 128
net.interface.lo.mac_address: 00:00:00:00:00:00
net.interface.virbr0-nic.ipv4_address: Unknown
net.interface.virbr0-nic.ipv4_broadcast: Unknown
net.interface.virbr0-nic.ipv4_netmask: Unknown
net.interface.virbr0-nic.mac_address: 52:54:00:EB:DB:21
net.interface.virbr0.ipv4_address: 192.168.122.1
net.interface.virbr0.ipv4_broadcast: 192.168.122.255
net.interface.virbr0.ipv4_netmask: 24
net.interface.virbr0.mac_address: 52:54:00:EB:DB:21
net.interface.vnet0.ipv4_address: Unknown
net.interface.vnet0.ipv4_broadcast: Unknown
net.interface.vnet0.ipv4_netmask: Unknown
net.interface.vnet0.ipv6_address.link: fe80::fc54:ff:fe02:845c
net.interface.vnet0.ipv6_netmask.link: 64
net.interface.vnet0.mac_address: FE:54:00:02:84:5C
net.interface.vnet1.ipv4_address: Unknown
net.interface.vnet1.ipv4_broadcast: Unknown
net.interface.vnet1.ipv4_netmask: Unknown
net.interface.vnet1.ipv6_address.link: fe80::fc54:ff:fe80:85ba
net.interface.vnet1.ipv6_netmask.link: 64
net.interface.vnet1.mac_address: FE:54:00:80:85:BA
net.interface.vnet2.ipv4_address: Unknown
net.interface.vnet2.ipv4_broadcast: Unknown
net.interface.vnet2.ipv4_netmask: Unknown
net.interface.vnet2.ipv6_address.link: fe80::fc54:ff:fe5b:ecca
net.interface.vnet2.ipv6_netmask.link: 64
net.interface.vnet2.mac_address: FE:54:00:5B:EC:CA
net.interface.vnet3.ipv4_address: Unknown
net.interface.vnet3.ipv4_broadcast: Unknown
net.interface.vnet3.ipv4_netmask: Unknown
net.interface.vnet3.ipv6_address.link: fe80::fc54:ff:fed5:a489
net.interface.vnet3.ipv6_netmask.link: 64
net.interface.vnet3.mac_address: FE:54:00:D5:A4:89
net.interface.vnet4.ipv4_address: Unknown
net.interface.vnet4.ipv4_broadcast: Unknown
net.interface.vnet4.ipv4_netmask: Unknown
net.interface.vnet4.ipv6_address.link: fe80::fc54:ff:fe4f:3300
net.interface.vnet4.ipv6_netmask.link: 64
net.interface.vnet4.mac_address: FE:54:00:4F:33:00
network.hostname: host1364
network.ipv4_address: 127.0.0.1
network.ipv6_address: ::1
system.entitlements_valid: valid
system.name: host1364
system.uuid: 2d8c6b50-0d30-4c1f-9e3a-a7b654c6abb2
uname.machine: x86_64
uname.nodename: host1364
uname.release: 2.6.32-279.el6.x86_64
uname.sysname: Linux
uname.version: #1 SMP Wed Jun 13 18:24:36 EDT 2012
virt.host_type: Not Applicable
virt.is_guest: False
Comment 1 Jordan OMara 2012-09-12 17:25:08 EDT
Created attachment 612281 [details]
IP Address list in SAM

This was changed; check out the screenshot.

1. We no longer show IP address in the left pane
2. We now show ALL of your IP addresses in the right pane along with their interface

Note You need to log in before you can comment on or make changes to this bug.